import axios from "axios"
import { useState } from "react"
import { useNavigate } from "react-router-dom"

export default function Login () {
    const navigate = useNavigate()
    const [email, setEmail] = useState("")
    const [password, setPassword] = useState("")

    function handleSubmit(e: React.FormEvent<HTMLFormElement>) {
        e.preventDefault()
        if (email === "" || password === "") {
            alert("Please fill in all fields")
            return
        }
        axios
            .post("/api/auth/login", {
                email,
                password
            })
            .then((response) => {
                console.log(response.data)
                localStorage.setItem("token", response.data.token)
                navigate("/")
            })
            .catch((error) => {
                alert("Login failed : " + error.response.data)
            })
    }

    return (
        <div>
        <h1>Login</h1>
        <form onSubmit={handleSubmit}>
            <input type="text" id="username" name="username" value={email} onChange={(e) => setEmail(e.target.value)} placeholder="Email" />
            <input type="password" id="password" name="password" value={password} onChange={(e) => setPassword(e.target.value)} placeholder="Password" />
            <button type="submit" >Login</button>
        </form>
        </div>
    )
}